Get partner transactions
curl --request GET \
--url https://staging-api.yourflexpay.com/v2/partner/transactions \
--header 'x-api-key: <api-key>' \
--header 'x-client-id: <api-key>'import requests
url = "https://staging-api.yourflexpay.com/v2/partner/transactions"
headers = {
"x-client-id": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-client-id': '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://staging-api.yourflexpay.com/v2/partner/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"Amount": 123,
"Fee": 123,
"Commission": 123,
"Net": 123,
"Reference": "<string>",
"Sender": "<string>",
"SenderDetails": {
"Name": "<string>",
"Amount": 123,
"Fee": 123,
"Currency": "NGN",
"Paytag": "<string>",
"ProfileImage": "<string>",
"Type": "AdminAuth",
"External": true
},
"Recipient": "<string>",
"Status": "Pending",
"Comment": "<string>",
"Date": "2023-11-07T05:31:56Z",
"Metadata": {},
"CompletedAt": "2023-11-07T05:31:56Z",
"Terminal": {
"SerialNumber": "<string>",
"TerminalID": "<string>",
"Merchant": "<string>",
"Email": "<string>",
"PhoneNumber": "<string>",
"Status": "<string>",
"CreatedAt": "2023-11-07T05:31:56Z",
"Metadata": {},
"PayTag": "<string>",
"Balance": 123,
"Qr": "<string>"
}
}
],
"count": 123,
"limit": 123,
"offset": 123
}Partner Transactions
Get partner transactions
GET
/
partner
/
transactions
Get partner transactions
Query Parameters
Required range:
x >= 0Required range:
x >= 0Available options:
Pending, Failed, Successful, Cancelled, Expired, Pending Review, Waiting on Provider Date filter in YYYY-MM-DD format
Date filter in YYYY-MM-DD format
⌘I